Package io.dapr.v1

# Interface DaprProtos.InvokeBindingRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.InvokeBindingRequest`, `DaprProtos.InvokeBindingRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.InvokeBindingRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`com.google.protobuf.ByteString`
`getData()`
The data which will be sent to output binding.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`Map<String,String>`
`getMetadataMap()`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`String`
`getMetadataOrThrow(String key)`
The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
`String`
`getName()`
The name of the output binding to invoke.
`com.google.protobuf.ByteString`
`getNameBytes()`
The name of the output binding to invoke.
`String`
`getOperation()`
The name of the operation type for the binding to invoke
`com.google.protobuf.ByteString`
`getOperationBytes()`
The name of the operation type for the binding to invoke

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()

     The name of the output binding to invoke.

`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     The name of the output binding to invoke.

`string name = 1;`

Returns:
  The bytes for name.

### getData

com.google.protobuf.ByteString getData()

     The data which will be sent to output binding.

`bytes data = 2;`

Returns:
  The data.

### getMetadataCount

int getMetadataCount()

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.

     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.

     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.

     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.

     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata passing to output binding components

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the message.

     If set in the binding definition will cause all messages to
     have a default time to live. The message ttl overrides any value
     in the binding definition.

`map<string, string> metadata = 3;`

### getOperation

String getOperation()

     The name of the operation type for the binding to invoke

`string operation = 4;`

Returns:
  The operation.

### getOperationBytes

com.google.protobuf.ByteString getOperationBytes()

     The name of the operation type for the binding to invoke

`string operation = 4;`

Returns:
  The bytes for operation.